import pytest
from virgotools import vpm as vpm_module  # avoid name clash

@pytest.fixture
def vpm():
    return vpm_module.VPM('DAQ')

def test_proc(vpm):
    procname ='LSC_Acl'  # parameterize
    cfgfile = '/virgoData/VirgoOnline/LSC_Acl.cfg'
    procs = vpm.procs


    # attr lookup
    assert getattr(procs, procname) is procs[procname]

    proc = procs[procname]
    assert proc.config == cfgfile
    assert proc.name == procname

def test_vpm_status():
    procname = 'LSC_Acl'  # parameterize
    status = vpm_module.vpm_status()
    assert procname in status